require "lua.Creature" 


Player = class("Player", Creature)
function Player:initialize(name, x, y)
	--object variables
	self.name = name
	self.x = x
	self.y = y
	self.width = 16
	self.height = 24
	self.xvel = 0
	self.yvel = 0
	self.speed = 800
	self.friction = 2.5
	--jump related things
	self.gravity = 500
	self.jumpHeight = 200
	self.jumping = false

	--helpful things
	self.player = true
	self.dt = 0
end

function Player:move(dt)
	--movement
	if (love.keyboard.isDown("right"))and self.xvel < self.speed then
		self.xvel = self.xvel + self.speed *dt
	end
	if (love.keyboard.isDown("left"))and self.xvel > -self.speed then
		self.xvel = self.xvel - self.speed*dt
	end

	--limit the speeds
	--x velocity
	if self.xvel >0 then
		self.xvel = math.floor(self.xvel)
	else
		self.xvel = math.ceil(self.xvel)
	end
	--y velocity
	if self.yvel >0 then
		self.yvel = math.floor(self.yvel)
	else
		self.yvel = math.ceil(self.yvel)
	end
	if self.yvel == 0 then
		self.jumping = false
	end
	if self.yvel >100 or self.yvel <0 then
		self.jumping = true
	end
end

function Player:keyPressed(key)
	if key==" " or key == "up"then
		if self.jumping == false then
			self.gravity = 500
			self.yvel = self.jumpHeight - self.gravity
			--self.grounded = false
			self.jumping = true
		end
	end
end

function Player:keyReleased(key)
end
