Stateful = require 'lib.stateful'
require 'lib.middleclass'
require 'lib.collision'
require 'lib.camera'
require 'lua.GameStates.GameState'
require 'lua.GameStates.Game'

--short hand stuff    
lg = love.graphics
rect= lg.rectangle
draw = lg.draw
color= lg.setColor
--colors because i am lazy
black = {0,0,0}
white = {255,255,255}
red = {255,0,0}
green = {0,255,0}
blue ={0,0,255}

--------------------------------------------------------------------------------
function love.load()
    gamestate = GameState:new()
    gamestate:gotoState('SinglePlayerGame')
end

--------------------------------------------------------------------------------
function love.update(dt)
	if dt <= 1/60 then
      love.timer.sleep(0.03)
   	end
	gamestate:update(dt)
end

--------------------------------------------------------------------------------
function love.draw()
	gamestate:draw()
end

--------------------------------------------------------------------------------
function love.focus(f)
	gamestate:focus(f)
end

--------------------------------------------------------------------------------
function love.joystickpressed(joystick, button)
	gamestate:joystickpressed(joystick, button)
end

--------------------------------------------------------------------------------
function love.joystickreleased(joystick, button)
	gamestate:joystickreleased(joystick, button)
end

--------------------------------------------------------------------------------
function love.keypressed(key, unicode)
	gamestate:keypressed(key, unicode)
end

--------------------------------------------------------------------------------
function love.keyreleased(key)
	gamestate:keyreleased(key)
end

--------------------------------------------------------------------------------
function love.mousepressed(x, y, button)
	gamestate:mousepressed(x, y, button)
end

--------------------------------------------------------------------------------
function love.mousereleased(x, y, button)
	gamestate:mousereleased(x, y, button)
end

--------------------------------------------------------------------------------
function love.quit()
	gamestate:quit()
	love.event.quit()
end